Migrate customers via Meta Business Suite - WhatsApp
Updated: Aug 12, 2026
Copy for LLM
You can use the API and the Meta Business Suite’s Business settings panel to migrate a client’s Messaging account from one Multi-Partner Solution (the “source solution”) to another (the “destination solution”).
As part of this process, a new Messaging account will be created for the client, templates within the source Messaging account will be duplicated in the destination Messaging account, and access to the Messaging account and its assets will be granted to the destination solution’s Solution Partner.
Note that both you and the destination solution’s Solution Partner must perform one or more API requests to complete the process.
Requirements
Your app (or apps, if you are using separate apps) used to create or accept each solution must be associated with the same business portfolio, and the destination solution must be in an active state.
Templates
Templates are automatically duplicated in the destination Messaging account and initially granted the same status as their source counterparts.
After duplication however, templates are re-checked to ensure they are correctly categorized according to our guidelines. This may result in some duplicated templates having their
status set to REJECTED.Only templates with both a
status of APPROVED and quality_score of GREEN are eligible for duplication. If the destination Messaging account cannot accommodate all of the new templates, we will duplicate as many as we can until the destination Messaging account’s template limit has been reached. Unduplicated templates must be re-created and submitted for approval if they are to be used by the destination Messaging account.Note that template quality ratings are not duplicated. All duplicated templates will start with an
UNKNOWN rating. This rating will remain for the first 24 hours, after which a new rating will be generated if sufficient data is available.Billing
Messages delivered before migration is complete are charged to the old Solution Partner. Undelivered messages sent before migration is complete will be charged to the old Solution Partner if they are delivered after migration is complete.
Messages delivered after migration is complete are charged to the business customer.
Tech Provider steps
Step 1: Tag the customer’s Messaging account for migration
Use the POST /<WHATSAPP_BUSINESS_ACCOUNT>/set_solution_migration_intent endpoint to tag the business customer’s Messaging account for migration. This generates a migration intent, which indicates your intent to migrate the Messaging account.
Request
curl 'https://graph.facebook.com/<API_VERSION>/<WABA_ID>/set_solution_migration_intent' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer <BUSINESS_TOKEN>' \ -d ' { "solution_id": "<DESTINATION_MULTI-PARTNER_SOLUTION_ID>" }'
Response
Upon success:
{ "id": "<MIGRATION_INTENT_ID>" }
Capture the migration intent ID.
Step 2: Send the migration intent ID to your Solution Partner
Send the migration intent ID you just captured to the Solution Partner of your destination solution. They will need this ID to determine if the customer has accepted the migration request.
Instruct the customer to use the Meta Business Suite to unshare their Messaging account and WhatsApp account with your app. Ask them to:
- Access Meta Business Suite’s Business settings panel at https://business.facebook.com/settings/.
- Navigate to Messaging Accounts.
- Unshare the Tech Provider app from the Messaging account intended for migration.
- Navigate to WhatsApp Accounts.
- Unshare the Tech Provider app from the WhatsApp account associated with the phone number.
Step 4: Instruct the customer to accept the request
Instruct the customer to use the Meta Business Suite to review and accept the request. You can provide them with these instructions:
- Access Meta Business Suite’s Business settings panel at https://business.facebook.com/settings/.
- Navigate to Requests > Received.
- Locate the request and click the Review button.
- Complete the flow.

When the customer completes this step, an account_update webhook indicating that a customer has been onboarded will be triggered and sent to both you and the destination solution’s Solution Partner.
Note that an email from WhatsApp for Business (notification@facebookmail.com) will also be sent to anyone who has admin access on the Messaging account, requesting review and acceptance of the request. The button in the email just loads the Business settings panel in a new window, so any Messaging account admin can review and accept the request.
Solution Partner steps
Step 1: Get the customer’s business token
Use the GET /<SOLUTION_ID>/access_token endpoint and request the
business_id parameter to get an onboarded business customer’s business token.Request
curl 'https://graph.facebook.com/<API_VERSION>/<SOLUTION_ID>/access_token?business_id=<CUSTOMER_BUSINESS_PORTFOLIO_ID>' \ -H 'Authorization: Bearer <SYSTEM_TOKEN>'
The customer’s business portfolio ID is included in the account_update webhook triggered when the customer accepts the migration intent.
Response
Upon success:
{ "data": [ { "access_token": "<CUSTOMER_BUSINESS_TOKEN>" } ] }
Step 2: Get the status of the migration intent
Use the Migration Intent API to get the status of the migration intent that the Tech Provider created. Your Tech Provider should provide you with this ID.
Request
curl 'https://graph.facebook.com/<API_VERSION>/<MIGRATION_INTENT_ID>' \ -H 'Authorization: Bearer <BUSINESS_TOKEN>'
Response
Upon success:
{ "solution": { "name": "<DESTINATION_SOLUTION_NAME>", "status": "<DESTINATION_SOLUTION_STATUS>", "status_for_pending_request": "<DESTINATION_SOLUTION_PENDING_REQUEST_STATUS>", "id": "<DESTINATION_SOLUTION_ID>" }, "status": "<MIGRATION_INTENT_STATUS>", "destination_waba": { "id": "<BUSINESS_CUSTOMER_WABA_ID>", "name": "<BUSINESS_CUSTOMER_WABA_NAME>", "currency": "<BUSINESS_CUSTOMER_WABA_CURRENCY>", "timezone_id": "<BUSINESS_CUSTOMER_WABA_TIMEZONE>", "business_type": "ent", "message_template_namespace": "<BUSINESS_CUSTOMER_WABA_TEMPLATE_NAMESPACE>" }, "id": "<MIGRATION_INTENT_ID>" }
If
<MIGRATION_INTENT_STATUS> is ACCEPTED, it means the customer has reviewed and accepted the migration intent and you can proceed to the next step. If it’s any other value, do not proceed.Note that when a customer accepts the migration intent in the Meta Business Suite, an account_update webhook is triggered with
status set to PARTNER_ADDED. Although the webhook won’t tell if the customer onboarded via the Meta Business Suite, perform this query when you receive one of these webhooks.Step 3: Subscribe to webhooks on the customer’s Messaging account
Use the POST /<WABA_ID>/subscribed_apps endpoint to subscribe your app to webhooks on the business customer’s Messaging account. If you want the customer’s webhooks to be sent to a different callback URL than the one set on your app, you have multiple webhook override options.
Note that
<WABA_ID> should be the customer’s destination Messaging account ID.Request
curl -X POST 'https://graph.facebook.com/<API_VERSION>/<WABA_ID>/subscribed_apps' \ -H 'Authorization: Bearer <ACCESS_TOKEN>'
Response
Upon success:
{ "success": true }
We are currently testing new steps for sharing your credit line with onboarded clients. These steps will eventually replace this step, so if you wish to implement these steps now, see Alternate method for sharing your credit line.
Use the Credit Sharing API to share your credit line with an onboarded client.
Request
curl -X POST 'https://graph.facebook.com/<API_VERSION>/<EXTENDED_CREDIT_LINE_ID>/whatsapp_credit_sharing_and_attach?waba_currency=<CUSTOMER_BUSINESS_CURRENCY>&waba_id=<CUSTOMER_WABA_ID>' \ -H 'Authorization: Bearer <SYSTEM_TOKEN>'
Note that
<CUSTOMER_WABA_ID> should be the customer’s destination Messaging account ID.Response
Upon success:
{ "allocation_config_id": "<ALLOCATION_CONFIGURATION_ID>", "waba_id": "<CUSTOMER_WABA_ID>" }